email.domain.get
curl --request POST \
--url https://platform.trylath.com/email/domain/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domainId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://platform.trylath.com/email/domain/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/domain/get"
payload = { "domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/domain/get"
payload := strings.NewReader("{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"status": "pending",
"providerStatus": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"receiving": true,
"region": "<string>",
"tracking": {
"opens": true,
"clicks": true,
"applied": true
},
"returnPath": {
"label": "<string>",
"host": "<string>",
"inUse": true
},
"blocker": "<string>",
"lastCheck": null,
"lastCheckedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}
}email.domain.get
Returns one sending domain: status, the DNS records to create, the last check per record, the blocker if any, the region its mail is sent through (one per deployment), and its open and click tracking preferences (tracking.applied is true: sends honour them), and its return path.
POST
/
email
/
domain
/
get
email.domain.get
curl --request POST \
--url https://platform.trylath.com/email/domain/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domainId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://platform.trylath.com/email/domain/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/domain/get"
payload = { "domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/domain/get"
payload := strings.NewReader("{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"status": "pending",
"providerStatus": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"receiving": true,
"region": "<string>",
"tracking": {
"opens": true,
"clicks": true,
"applied": true
},
"returnPath": {
"label": "<string>",
"host": "<string>",
"inUse": true
},
"blocker": "<string>",
"lastCheck": null,
"lastCheckedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}
}Authorizations
A Lath API key: lath_live_… or lath_test_… on a server, lath_live_pk… or lath_test_pk… in a browser.
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Last modified on September 23, 2026
Was this page helpful?

